
#ifndef __SEVEN_IFS_CUBE__
#define __SEVEN_IFS_CUBE__

#include "my_types.h"
#include "screen.h"

///////////////////////////////////////////////////////////////////////
// class cIFS_Fractal:
///////////////////////////////////////////////////////////////////////

class cIFS_Cube
{ 
  private:
    double m_corners[8][3];
	int m_size;

  public:

// constructors
  cIFS_Cube();
  cIFS_Cube(int size);

// functions
  void newsize(int size);
  void transform(double *mat, double *vec);
  void draw(Screen *s, int32 zoom, ulong color);
  double edge_size(int nr);
  double angle(int nr);
};

#endif __SEVEN_IFS_CUBE__