
#ifndef __SEVEN_BITMAP_FONTS__
#define __SEVEN_BITMAP_FONTS__

#include "screen.h"

typedef struct {
  int cx, cy;
  uchar pos[256]; // 0xFF means unavailable
  uchar *pic;
} Font;

void Draw_Char(const Screen& s, int x, int y, Font font, uchar ch, int32 color);
void Draw_String(const Screen& s, int x, int y, Font font, char* msg, int32 color);

#endif __SEVEN_BITMAP_FONTS__